const express = require("express");
const { RazorpayController } = require("../../controllers/web");
const { verifySession } = require("../../middleware");
const router = express.Router();

router.post("/", verifySession, RazorpayController.pay);
router.get(
  "/success/:paymentId",
  verifySession,
  RazorpayController.successPayment
);
router.get("/cancel", verifySession, RazorpayController.cancel);

module.exports = router;
